// ★コメント未記入
#if !defined(AFX_SETTINGMARGIN_H__BD3B8EF9_0AD1_4919_81FD_AFD972CE96F4__INCLUDED_)
#define AFX_SETTINGMARGIN_H__BD3B8EF9_0AD1_4919_81FD_AFD972CE96F4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SettingMargin.h : ヘッダー ファイル
//

#include "OwnerTabPage.h"
/////////////////////////////////////////////////////////////////////////////
// CSettingMarginDlg ダイアログ

class CSettingMarginDlg : public COwnerTabPage
{
// コンストラクション
public:
	CSettingMarginDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	void			Confirm();

	void			ReadFromGeneral();
	void			WriteToGeneral();

protected:

// ダイアログ データ
	//{{AFX_DATA(CSettingMarginDlg)
	enum { IDD = IDD_SETTING_MARGIN };
	UINT	m_uiWheelMove;
	BOOL	m_bOneShotBOXSelect;
	BOOL	m_bBlockAlignment;
	CString	m_strQuote;
	BOOL	m_bRestrainedScroll;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CSettingMarginDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CSettingMarginDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSettingRulerfont();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_SETTINGMARGIN_H__BD3B8EF9_0AD1_4919_81FD_AFD972CE96F4__INCLUDED_)
